<?php

// Add event handlers for the prefilter
add_event_handler('loc_end_element_set_global', 'EA_set_prefilter_batch_global', 55 );

// Change the variables used by the function that changes the template
add_event_handler('loc_end_element_set_global', 'EA_add_batch_single_vars_to_template');
add_event_handler('element_set_global_action', 'EA_batch_global_submit', 50, 2);

// Add a prefilter to the template
function EA_set_prefilter_batch_global()
{
	global $template;
	$template->set_prefilter('batch_manager_global', 'EA_batch_global');
}

// Insert the copyright selector to the template
function EA_batch_global($content, &$smarty)
{
	// Replace the piwigo author by our own author stuff
	$search = '/<div id="action_author".*?<\/div>/is';

	// Tarkista jos ei ole toista <div> Vlill kirjailija divs
	preg_match($search, $content, $result);
	if (substr_count($result[0], '<div') > 1) {
		global $page;
		array_push($page['errors'], 'Error, someone added a <div> between the author <div>\'s. You can fix this long forseen bug in: extended_author plugin - batch_global.php - EA_batch_global - the regex expression ($search) :).');
	}

	$replacement = '<div id="action_author" class="bulkAction">
			{\'Author\'|@translate}:
			<select id="author" name="author">
				<option value="">--</option>
			{foreach from=$EAoptions item=option}
				<option value="{$option}">
					{$option}
				</option>
			{/foreach}
			</select>
		</div>';

	$tempReturn = preg_replace($search, $replacement, $content);
	
	return $tempReturn;
}

// Process the submit action
function EA_batch_global_submit($action, $collection)
{
	// If its our plugin that is called
	if ($action == 'author') {
		$name = pwg_db_real_escape_string($_POST['author']);
		insert_default_CR($name);
	}
}

?>